package com.pdaaphm.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.pdaaphm.common.annotation.Excel;
import com.pdaaphm.common.core.domain.BaseEntity;

/**
 * 算法配置对象 t_alg_config
 * 
 * @author Allen
 * @date 2024-08-19
 */
public class AlgConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 算法名称 */
    @Excel(name = "算法名称")
    private String algName;

    /** 算法类型（1补全，2扩充，3特称提取，4退化评估，5故障预测） */
    @Excel(name = "算法类型", readConverterExp = "1=补全，2扩充，3特称提取，4退化评估，5故障预测")
    private String algType;

    /** 算法语言 */
    @Excel(name = "算法语言")
    private String algLang;

    /** 是否固定输入输出 */
    @Excel(name = "是否固定输入输出")
    private String fixed;

    /** 处理的算法 */
    private String algUrl;

    /** 输入地址 */
    @Excel(name = "输入地址")
    private String inputUrl;

    /** 输出地址 */
    @Excel(name = "输出地址")
    private String outUrl;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAlgName(String algName) 
    {
        this.algName = algName;
    }

    public String getAlgName() 
    {
        return algName;
    }
    public void setAlgType(String algType) 
    {
        this.algType = algType;
    }

    public String getAlgType() 
    {
        return algType;
    }
    public void setAlgLang(String algLang) 
    {
        this.algLang = algLang;
    }

    public String getAlgLang() 
    {
        return algLang;
    }
    public void setFixed(String fixed) 
    {
        this.fixed = fixed;
    }

    public String getFixed() 
    {
        return fixed;
    }
    public void setAlgUrl(String algUrl) 
    {
        this.algUrl = algUrl;
    }

    public String getAlgUrl() 
    {
        return algUrl;
    }
    public void setInputUrl(String inputUrl) 
    {
        this.inputUrl = inputUrl;
    }

    public String getInputUrl() 
    {
        return inputUrl;
    }
    public void setOutUrl(String outUrl) 
    {
        this.outUrl = outUrl;
    }

    public String getOutUrl() 
    {
        return outUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("algName", getAlgName())
            .append("algType", getAlgType())
            .append("algLang", getAlgLang())
            .append("fixed", getFixed())
            .append("algUrl", getAlgUrl())
            .append("inputUrl", getInputUrl())
            .append("outUrl", getOutUrl())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
